Skip to main content
POST
IngestDatahubAspects

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

aspects.fields.key
string
aspects.fields.value.nullValue
enum<string>

Represents a null value.

Available options:
NULL_VALUE
aspects.fields.value.numberValue
number<double>

Represents a double value.

aspects.fields.value.stringValue
string

Represents a string value.

aspects.fields.value.boolValue
boolean

Represents a boolean value.

action
string

The emitter's action query parameter, for example ingestProposal.

Body

application/json

The request body of a DataHub REST emitter, for example {"proposal": {...}}.

The request body of a DataHub REST emitter, for example {"proposal": {...}}.

{key}

Value represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values. A producer of value is expected to set one of these variants. Absence of any variant indicates an error.

The JSON representation for Value is JSON value.

Response

200 - application/json

Success

The response is of type IngestDatahubAspectsResponse · object.